/*template*/

var doc = document;
if (document.getElementById('content'))
  doc = document.getElementById('content').contentDocument;

function addstyles(){
var x=doc.createElementNS('http://www.w3.org/1999/xhtml','style');
x.innerHTML='\
div { border:5px solid red; }\
table { table-layout:fixed; border:3px dashed blue; }\
#test1 table { border-collapse: collapse;  }\
td {border-left:3px dotted;}\
tr {border:3px solid lime;}\
thead,tfoot,tbody {border:3px solid purple;}\
';
doc.documentElement.appendChild(x);
}


// Given a seed, returns a function that generates random integers.
// Based on the Central Randomizer 1.3 (C) 1997 by Paul Houle (paul@honeylocust.com)
// See: http://www.honeylocust.com/javascript/randomizer.html
function randomizer(seed)
{
  // Returns a somewhat random real number between 0 (inclusive) and 1 (not inclusive), like Math.random() but with a seed I control.
  // Modulus is in parens to work around a Crunchinator bug.
  function rndReal() {
	seed = (seed*9301 + 49297) % (233280);
	return seed/(233280.0);
  };

  // Returns a somewhat random integer in the range {0, 1, 2, ..., number-1}
  function rndInt(number) {
	return Math.floor(rndReal()*number);
  };
  
  return rndInt;
}

seed = 0
var rnd = randomizer(seed);

  var grps = new Array('tbody','thead','tfoot');
  function rndElm(tag) {
    if (tag == 'tb') tag = grps[rnd(grps.length)];
    e = doc.getElementsByTagName(tag);
    return e[rnd(e.length)];
  }

  var l_units = new Array('','','','','','','%','px');
  var l_values = new Array('0','1','13','50','99','100');
  function rndWHV(e) {
    var u=l_units[rnd(l_units.length)];
    if (u) e.setAttribute('width', l_values[rnd(l_values.length)] + u);
    u=l_units[rnd(l_units.length)];
    if (u) e.setAttribute('height', l_values[rnd(l_values.length)] + u);
    if (rnd(4)==0) change_visibility(e,null);
  }

  function make_td(p) {
    var td = doc.createElementNS('http://www.w3.org/1999/xhtml','td');;
    var t  = doc.createTextNode('td');
    td.appendChild(t);
    var rowspan = trowspan;
    if (rowspan != '')
        td.setAttribute('rowspan', rowspan);
    var colspan = tcolspan;
    if (colspan != '')
        td.setAttribute('colspan', colspan);
    rndWHV(td);
    return td;
  }
  function make_tr(p) {
    var tr = doc.createElementNS('http://www.w3.org/1999/xhtml','tr');;
    rndWHV(tr);
    tr.appendChild(make_td(p));
    return tr;
  }
  function make_tb(p) {
    var tb = doc.createElementNS('http://www.w3.org/1999/xhtml',grps[rnd(grps.length)]);
    rndWHV(tb);
    tb.appendChild(make_tr(p));
    return tb;
  }
  function make_colgroup(p) {
    var e = doc.createElementNS('http://www.w3.org/1999/xhtml','colgroup');
    rndWHV(e);
    return e;
  }
  function make_col(p) {
    var e = doc.createElementNS('http://www.w3.org/1999/xhtml','col');
    rndWHV(e);
    return e;
  }
  function make_caption(p) {
    for (i = 0; i < p.childNodes.length; ++i) {
      if (p.childNodes[i].tagName == 'caption')
        return null;
    }
    var e = doc.createElementNS('http://www.w3.org/1999/xhtml','caption');
    rndWHV(e);
    return e;
  }

  function insert(p,make) {
    if (p) {
      sib = p.firstChild ? p.childNodes[rnd(p.childNodes.length)] : null;
      e = make(p);
      e && p.insertBefore(e,sib);
    }
  }
  function append(p,make) {
    p && (e=make(p)) && p.appendChild(e);
  }
  function remove(e,c) {
    e && e.parentNode.removeChild(e);
  }
  function change_rowspan(e,c) {
    e && e.setAttribute('rowspan',trowspan);
  }
  function change_visibility(e,c) {
    e && (e.style.visibility = (e.style.visibility == 'visible' ? 'collapse' : 'visible'));
  }
  function change_colspan(e,c) {
    if (e) {
      val = tcolspan;
      if (e.tagName=='col'||e.tagName=='colgroup') {
        e.setAttribute('span',val==0?1:val);
      } else {
        e.setAttribute('colspan',val);
      }
   }
  }
  var counter_tags = new Array('table','thead','tfoot','tbody','tr','td','colgroup','col','caption');


  var stop = false;
  var ops = new Array(insert, append, remove, change_rowspan, change_colspan, change_visibility);
  var ptags = new Array('table', 'tb', 'tr', 'table',    'colgroup', 'table');
  var tags =  new Array('tb',    'tr', 'td', 'colgroup', 'col',      'caption');

var _params = {};
var iter = 0;
  function start() {
     _params['seed'] = 0;
     rnd = randomizer(_params['seed'])
     count = 0

     stop = false
     next()
  }

var trowspan = 0;
var tcolspan = 0;
  function next() {
     iter = ++count;
     //if (iter == 66) alert('test');;
     var elm = null;

       trowspan = rnd(4);
       tcolspan = rnd(4);
       var op = ops[rnd(ops.length)];
       var t = rnd(tags.length);
       var tag = tags[t];
       elm = rndElm((op == insert || op == append) ? ptags[t] : tag);

       op(elm,eval('make_'+tag));

     //doc.documentElement.offsetHeight;
     setTimeout("next()", 20);

  }
  
  setTimeout(addstyles, 40);
  setTimeout(start, 60);
/*template*/